<template lang="">
  <div v-if="posts.length > 0">
    <h3>Recent posts</h3>
    <transition-group name="post-list">
      <post-item
        v-for="post in posts"
        :post="post"
        :key="post.id"
        @remove="$emit('remove', post)">
      </post-item>
    </transition-group>
  </div>
  <h2 v-else style="color:red">
    No posts
  </h2>
</template>

<script>
import PostItem from './PostItem.vue';

export default {
  components: {PostItem},
  props: {
    posts: {
      type: Array,
      required: true
    }
  },
  emits: ['remove']
}
</script>

<style scoped>
.post-list-move,
.post-list-enter-active,
.post-list-leave-active {
  transition: all 0.5s ease;
}
.post-list-enter-from,
.post-list-leave-to {
  opacity: 0;
  transform: translateX(50px);
}
</style>
